<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";

  //12. INVERSIONES, CUENTAS BANCARIAS Y OTRO TIPO DE VALORES ACTIVOS
function plantilla12($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('12_inversiones', $where, 1);
    $codigo_12 = $query->row();

    //View tipos Declarante  12. Inversiones
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('12_inversiones');
    $CI->db->join('tipos_declarante', '12_inversiones.titular_inversion=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante12 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();
    // $pdf->setSourceFile('plantillas/Inversiones_12.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);
  
    if ($codigo_12->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.5, 33.5, 4, 4);
    }
    //SIN CAMBIO--SOLO PARA FORMATO MOD
    if ($codigo_12->ninguno == '2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.6, 26.6, 4, 4);
 
    }

    if ($codigo->tipo_formato == 3) {

        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(33);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 5, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true);
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_12->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(32);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    } 

    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetY(76);
    $pdf->SetX(12.5);
    $pdf->Cell(95, 4, utf8_decode($codigo_12->tipo_inversion));
    $pdf->Cell(92, 4, utf8_decode($codigo_12->bancaria));
    $pdf->Ln(9);
    $pdf->SetX(13);
    if ($view_declarante12 != null) {
        $pdf->Cell(147, 4, utf8_decode($view_declarante12->nombre));
    }

    $pdf->Cell(40, 4, utf8_decode($codigo_12->tercero));
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(147, 4, utf8_decode($codigo_12->nombre_tercero));
    $pdf->Cell(40, 4, utf8_decode($codigo_12->rfc_tercero));
    $pdf->Ln(13);
    $pdf->SetX(13);
    $pdf->Cell(73, 4, utf8_decode($codigo_12->fondos_inversion));
    $pdf->Cell(55, 4, utf8_decode($codigo_12->organizaciones_privadas));
    $pdf->Cell(56, 4, utf8_decode($codigo_12->posesion_monedas));
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(73, 4, utf8_decode($codigo_12->seguros));
    $pdf->Cell(55, 4, utf8_decode($codigo_12->valores_bursatiles));
    $pdf->Cell(56, 4, utf8_decode($codigo_12->afores_otros));
    $pdf->Ln(4.5);
    $pdf->SetX(105);
    $pdf->Cell(92, 4, utf8_decode($codigo_12->numero_cuenta));
  //  $pdf->Ln(9);
    $pdf->SetFont('Arial', 'B', 8);
    if ($codigo_12->mexico_extranjero == 'EN EL EXTRANJERO') {
        $pdf->Text(130, 141, utf8_decode('PAÍS DONDE SE LOCALIZA'));
    } else {
        $pdf->Text(130, 141, utf8_decode('RFC'));
    }
    $pdf->SetFont('Arial', '', 8);

    $pdf->SetY(134);
    $pdf->SetX(160);
    $pdf->Cell(40, 4, utf8_decode($codigo_12->mexico_extranjero));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_12->institucion));
    $pdf->Cell(92, 4, utf8_decode($codigo_12->rfc_pais));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_12->saldo));
    $pdf->Cell(92, 4, utf8_decode($codigo_12->tipo_moneda));
    $pdf->SetY(162);
    $pdf->SetX(13);
    $pdf->MultiCell(184, 3.5, utf8_decode($codigo_12->aclaraciones));

}

